function def_HM(dir)

load([dir,'InpPara.mat'], 'gamma1', 'gamma2', 'gamma3')

syms G_t G_o O2 K_t K_o real positive

%H_r_eff
H_r=sym(zeros(4));
H_r(1:3,2:4)=diag([O2, G_t, G_o]);
H_r=H_r+H_r';
H_r_eff=H_r-1i*0.5*diag([gamma1, gamma2, gamma3+K_t, K_t+K_o]);

%H_w_eff
load([dir,'CGC.mat']', 'H2I', 'I2J', 'I2Jb', 'J2F', 'J2Fb')
H_w=sym(zeros(3+3+2+1+2+2));
H_w(4:6, 1:3)=O2*H2I;
H_w(7:8, 4:6)=G_t*I2J;
H_w(9, 4:6)=G_t*I2Jb;
H_w(10:11, 7:8)=G_o*J2F;
H_w(12:13, 7:8)=G_o*J2Fb;
H_w=H_w+H_w';

load([dir,'InpPara.mat'], 'MHz', 'GHz')
HH=[0, -266.6509, -(266.6509+156.9477)]*MHz;
II=[0, -75.3, -(75.3+50.2)]*MHz;
JJ=[0, -816.65630, 0]*MHz;
FF=[0, 6.834682610904299, 0, 6.834682610904299]*GHz;
H_w=H_w+diag([HH, II, JJ, FF]);

H_w_eff=H_w-1i*0.5*diag([gamma1*ones(1,3), gamma2*ones(1,3), (gamma3+K_t)*ones(1,3), (K_t+K_o)*ones(1,4)]);


%H_eff
load([dir,'dim.mat'], 'dw', 'dr')

load([dir,'CGC.mat'], 'G2H')

syms O1 D real positive

H_eff=sym(zeros(1+dr+dw));
H_eff(2,1)=O1;
H_eff(6:8,1)=O1*double(G2H);
H_eff=H_eff+H_eff';

H_eff(2:5,2:5)=H_r_eff;
H_eff(6:5+13,6:5+13)=H_w_eff;
H_eff(1,1)=D;

save([dir, 'Mtx.mat'], "H_r_eff", "H_w_eff", "H_eff")

% %H_wP3  %path 3
% H_wP3=sym(zeros(3+3+1));
% H_wP3(4:6, 1:3)=O2*H2I;
% H_wP3(7, 4:6)=G_t*I2Jb;
% H_wP3=H_wP3+H_wP3';
% H_wP3=H_wP3+diag([HH, II, 0]); 
% 
% H_wP3_eff=H_wP3-1i*0.5*diag([gamma1*ones(1,3), gamma2*ones(1,3), (gamma3+K_t)]);
% 
% save([dir, 'Mtx.mat'], "H_wP3_eff", '-append')

%H_sim
H_sim=H_eff(1:5, 1:5);
save([dir, 'Mtx.mat'], "H_sim", '-append')


%M
load([dir,'dim.mat'], 'dd', 'drs')

M=sym(zeros(dd+drs));

H=[0, 1; 1, 0]*G_o;
LH=kron(eye(2), H);
RH=kron(H', eye(2));
R=-1i*(LH-RH)-diag([gamma3, 0, 0, K_o]);
M(1:4,1:4)=R;

H=[0, 1; 1, 0]*O1;
H(1,1)=D;
LH=kron(eye(2), H);
RH=kron(H', eye(2));
R=-1i*(LH-RH);
M(10:13,10:13)=R;

M(8,1)=gamma3;
M(6,4)=K_o;

M(5,5)=-K_t;
M(6,5)=K_t;

M(13,13)=-K_t;
M(14,13)=K_t;
save([dir, 'Mtx.mat'], "M", '-append')





end