function [t, pul, rec,  p_hf, p_ed,  pkE, pkL] = evolAll(sPara, h1, h2, datDir)

g_t=sPara(1);
g_o=sPara(2);
kappa_t=sPara(3);
kappa_o=sPara(4);
Omega1=sPara(5);
Omega2=sPara(6);
Delta=sPara(7);
tau=sPara(8);

load([datDir,'InpPara.mat'], 'n', 'nM', 'nT')
dt=tau/n;
tauM=dt*nM;
tauT=dt*nT;

load([datDir,'dim.mat'], 'dr', 'dw', 'dd', 'drs')
P=eye(1+dr+dw,1);
p=zeros(dd+drs,1);
load([datDir,'Mtx.mat'], 'H_eff', 'M')
H_eff=subs(H_eff, [sym('G_t'), sym('G_o'), sym('D'), sym('O2'), sym('K_t'), sym('K_o')], [g_t, g_o, Delta, Omega2, kappa_t, kappa_o]);
M=subs(M, [sym('G_o'), sym('D'), sym('K_t'), sym('K_o')], [g_o, Delta, kappa_t, kappa_o]);

cen=0.5*tau;
sigma=cen/2;
GaussP=@(t) h1*(exp(-(t-cen).^2./(2*sigma^2))  -  exp(-(0-cen).^2./(2*sigma^2)));
[P, p, recE]=evolBin(P, p, H_eff, M, GaussP, tau, n, Omega1, kappa_t, kappa_o, datDir);
pkE=max(diff(recE(2,:)+recE(4,:)));

zeroP=@(t) 0*t;
[P, p, recM]=evolBin(P, p, H_eff, M, zeroP, tauM, nM, Omega1, kappa_t, kappa_o, datDir);
p_hf=p(6);

SinSqP=@(t) h2*sin(t./tau.*pi./2).^2;
[P, p, recL]=evolBin(P, p, H_eff, M, SinSqP, tau, n, Omega1, kappa_t, kappa_o, datDir);
pkL=max(diff(recL(2,:)+recL(4,:)));

riseP=@(t) h2+0*GaussP(t);
[~, p, recT]=evolBin(P, p, H_eff, M, riseP, tauT, nT, Omega1, kappa_t, kappa_o, datDir);
p_ed=p(6);



t=(dt:dt:(tau+tauM+tau+tauT));
pul=[GaussP(dt:dt:tau), zeroP(dt:dt:tauM), SinSqP(dt:dt:tau), riseP(dt:dt:tauT)];

rec =[recE, recM, recL, recT];
rec(3,:)=rec(2,:);
rec(3:7,:)=[rec(3:7,1), diff(rec(3:7,:),1,2)];

A=sum(rec(3:6,:),'all');
rec(2:7,:)=rec(2:7,:)./A;
p_hf=p_hf./A;
p_ed=p_ed./A;
pkE=pkE./A;
pkL=pkL./A;

end