function [P, p, rec]=evolBin(P, p, H_eff, M, Pul, tau, n, Omega1, kappa_t, kappa_o, dir)

load([dir,'InpPara.mat'], 'gamma1', 'gamma2', 'gamma2a', 'gamma2b', 'gamma3')

dt=tau/n;

rec=zeros(9, n);

for i=1:n

    %integral method
    % P offset 0.5
    if i==1
        t=(i-0.75)*dt;  
        H_eff_num=double(subs(H_eff, sym('O1'), Pul(t)*Omega1));
        P_os=expm(-1i*H_eff_num*dt/2)*P;
    else
        t=(i-1)*dt;  
        H_eff_num=double(subs(H_eff, sym('O1'), Pul(t)*Omega1));
        P_os=expm(-1i*H_eff_num*dt)*P_os;
    end

    F=[ kappa_t*(P_os(4)'*P_os(4)); 
        0; 
        0; 
        kappa_t*(P_os(5)'*P_os(5)); 
        kappa_o*(P_os(5)'*P_os(5));
        0;
        gamma2b*(P_os(3)'*P_os(3)); 
        gamma3*(P_os(4)'*P_os(4));
        kappa_t*(P_os(12:14)'*P_os(12:14))+(kappa_t+kappa_o)*(P_os(15:18)'*P_os(15:18)); 
        gamma1*((P_os(2)'*P_os(2))+(P_os(6:8)'*P_os(6:8)))+gamma2a*(P_os(3)'*P_os(3))+ ...
          gamma2*(P_os(9:11)'*P_os(9:11))+gamma3*(P_os(12:14)'*P_os(12:14));
        0;
        0;
        0;
        0];

    M_num=double(subs(M, sym('O1'), Pul(t)*Omega1));
    
    p=expm(M_num*dt)*p+expm(M_num*dt/2)*F*dt;


    % real P
    t=(i-0.5)*dt;  
    H_eff_num=double(subs(H_eff, sym('O1'), Pul(t)*Omega1));
    P=expm(-1i*H_eff_num*dt)*P;

    a=P'*P;
    b=sum(p([1,4:10, 13,14]));
    A=a+b;

    if b>1e-8
        r=(1-a)/b;
        p=p*r;  % compramise the dt-error
    else
        r=1;
    end

    rec(1,i)=(P(1)*P(1)');
    rec(2,i)=p(6);  %RR
%     rec(3,i)=p(6);  %RR for diff
    rec(4,i)=p(7);  %OR  %will be heraled out
    rec(5,i)=p(8);  %RO
    rec(6,i)=p(9)+p(14); %WW
    rec(7,i)=p(14);
    rec(8,i)=r;
    rec(9,i)=a;

end



end