function [stDlt, tauHlf]=fnd_DltStb(H_sim, g_t0, rDlt, epsP, epsT)

H_vDlt0=subs(H_sim, 'G_t', g_t0);
H_vDltM=subs(H_sim, 'G_t', g_t0*0.85); % find a stable spot in range
H_vDltP=subs(H_sim, 'G_t', g_t0*1.15);

N=length(H_sim);

DltL0=[0.6, 1]*rDlt;
DltR0=[0.9, 1.15]*rDlt;


stDlt=zeros(1,2);
tauHlf=zeros(1,2);
for j=1:2
    DltL=DltL0(j);
    DltR=DltR0(j);
    Dlt=(DltL+DltR)/2;
    
    i=0;
    while 1
        
        H_vDlt0_n=double(subs(H_vDlt0, 'D', Dlt));
        H_vDltM_n=double(subs(H_vDltM, 'D', Dlt));
        H_vDltP_n=double(subs(H_vDltP, 'D', Dlt));
        tauHlf(j)=fnd_tauHlf(H_vDlt0_n, epsP, epsT);

        psiM=expm(-1i*H_vDltM_n*tauHlf(j))*eye(N,1);
        psiP=expm(-1i*H_vDltP_n*tauHlf(j))*eye(N,1);
        dif=(1-psiM(1)'*psiM(1))-(1-psiP(1)'*psiP(1));  
    
        if Dlt-DltL0(j)<100*epsP || DltR0(j)-Dlt<100*epsP
            fprintf('Dlt=%f, i=%d, j=%d',Dlt, i, j)
            error('Delta wrong range.')
        elseif abs(dif) < epsP
            stDlt(j)=Dlt;
            break;
        elseif (-1)^(j+1)*dif<0
            DltL=Dlt;
            Dlt=0.5*(DltL+DltR);
        else
            DltR=Dlt;
            Dlt=0.5*(DltL+DltR);
        end
        i=i+1;
    end
end










end